Bug 1290150 - Include example kvm.conf with nested options commented out
Summary: Include example kvm.conf with nested options commented out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bandan Das
QA Contact: FuXiangChun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-09 18:35 UTC by Karen Noel
Modified: 2019-03-22 10:28 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:45:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Description Karen Noel 2015-12-09 18:35:46 UTC
Feature:

(Description from Paolo)

> After the "modprobe nested=1" it would be useful to explain that it only
> enables nesting until next reboot.  Enable it forever requires adding
> something like
> 
> 	options kvm_intel nested=1
> 	options kvm_amd nested=1
> 
> to /etc/modprobe.d/kvm.conf (can use one file for both Intel and AMD).
> 
> We probably should distribute such a file (with the options commented
> out) as part of the qemu-kvm package

Benefit:

Customers trying nested KVM (tech preview) will have an example of how to enable nested permanently.

Comment 1 Miroslav Rezanina 2016-06-28 12:59:47 UTC
Fix included in qemu-kvm-rhev-2.6.0-10.el7

Comment 3 FuXiangChun 2016-09-01 08:21:14 UTC
Verified this bug with qemu-kvm-rhev-2.6.0-22.el7.x86_64

1.Enable nested via kvm.conf

# cat /etc/modprobe.d/kvm.conf 
# Setting modprobe kvm_intel/kvm_amd nested = 1
# only enables Nested Virtualization until the next reboot or
# module reload. Uncomment the option applicable
# to your system below to enable the feature permanently.
#
# User changes in this file are preserved across upgrades.
#
# For Intel
options kvm_intel nested=1
#
# For AMD
#options kvm_amd nested=1

2. reboot host

3. confirm nested if it is enabled

# cat /sys/module/kvm_intel/parameters/nested 
Y

For AMD machine.  It is the same result with Intel machine. 

So, Base on this testing result. This bug is fixed.

Comment 5 errata-xmlrpc 2016-11-07 21:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.